import os
from ConfigParser import RawConfigParser


class Configuration(object):
    # sectio general
    instance_name = 'Default Instance Name'
    instance_owner = 'owner@example.com'

    # section database
    db_file = 'events.db'

    def __init__(self, filename):
        self.load_from_file(filename)

    def load_from_file(self, filename):
        filepath = os.path.dirname(__file__)
        configpath = os.path.join(filepath, 'events.cfg')

        config = RawConfigParser()
        config.read(configpath)

        self.instance_name = config.get('general', 'instance_name')
        self.instance_owner = config.get('general', 'instance_owner')

        self.db_file = config.get('database', 'db_file')
