import sqlite3
import dateutil.parser


def connection_factory(config):
    """
    returns a database connection as defined in the config object
    """

    def convert_datetime(s):
        date = dateutil.parser.parse(s)
        return date

    sqlite3.register_converter("DATETIME", convert_datetime)
    return sqlite3.connect(config.db_file, detect_types=sqlite3
                           .PARSE_DECLTYPES)
