from util import render_template, authenticated
from model.event import Event
from model.user import User
from model.location import Location


@authenticated
def web_admin_welcome(request, environment, conn):
    users = User.db_load_all(conn)
    events = Event.db_load_all(conn)
    locations = Location.db_load_all(conn)
    username = environment['beaker.session']['username']

    return render_template("admin/web_admin_welcome.html", environment,
                           locations=locations, events=events,
                           users=users, username=username)
